> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk delete customer group product variant prices

> Deletes multiple customer group product variant prices by their IDs. Accepts up to 100 price IDs. Returns lists of successfully deleted and failed deletion attempts.



## OpenAPI

````yaml /swagger/management-api.json delete /api/v1/{team_slug}/{app_slug}/customer-group-prices
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/customer-group-prices:
    delete:
      tags:
        - CustomerGroups
      summary: Bulk delete customer group product variant prices
      description: >-
        Deletes multiple customer group product variant prices by their IDs.
        Accepts up to 100 price IDs. Returns lists of successfully deleted and
        failed deletion attempts.
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/internal_pkg_webserver_v1.InputDeleteCustomerGroupProductVariantPrices
        description: Price IDs to delete
        required: true
      responses:
        '200':
          description: Prices deleted successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponseDeleteCustomerGroupProductVariantPrices
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_pkg_webserver_v1.InputDeleteCustomerGroupProductVariantPrices:
      properties:
        price_ids:
          items:
            type: string
          maxItems: 100
          minItems: 1
          type: array
      required:
        - price_ids
      type: object
    internal_pkg_webserver_v1.OkResponseDeleteCustomerGroupProductVariantPrices:
      properties:
        data:
          $ref: >-
            #/components/schemas/internal_pkg_webserver_v1.DeleteCustomerGroupProductVariantPricesResponse
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.DeleteCustomerGroupProductVariantPricesResponse:
      properties:
        failed:
          items:
            $ref: '#/components/schemas/internal_pkg_webserver_v1.BulkDeleteFailed'
          type: array
        successful:
          items:
            type: string
          type: array
      type: object
    internal_pkg_webserver_v1.BulkDeleteFailed:
      properties:
        id:
          type: string
        reason:
          type: string
      type: object

````